[Dev] dbscripts 20180920.1 release announcement

Luke Shumaker lukeshu at lukeshu.com
Fri Sep 21 15:34:11 GMT 2018


On Fri, 21 Sep 2018 11:17:47 -0400,
Luke Shumaker wrote:
> I've rolled out version 20180920.1 of Parabola dbscripts.
>                                 ^^

The "community" import seems to have gone well, but there were a few
problems with the "archlinux32" import.

db-update complaining:

     ==> ERROR: Package community/haskell-gnuidn-0.2.2-66.0-i686.pkg.tar.xz does not have a valid signature

So, I tried.

    $ sudo pacman -U /srv/repo/main/core/os/i686/archlinux32-keyring-20180603-1.0-any.pkg.tar.xz

But that hung, so I:

    $ sudo killall gpg-agent dirmngr
    $ sudo rm -rf /etc/pacman.d/gnupg /etc/pacman.d/gnupg~
    $ sudo pacman-key --init
    $ sudo pacman-key --populate
    $ sudo pacman-key --refresh-keys
    $ sudo pacman -U /srv/repo/main/core/os/i686/archlinux32-keyring-20180603-1.0-any.pkg.tar.xz
    loading packages...
    :: Import PGP key 4096R/5FDCA472AB93292BC678FD59255A76DB9A12601A, "Erich Eckner (just to sign arch packages) <arch at eckner.net>", created: 2018-04-09? [Y/n] y
    resolving dependencies...
    looking for conflicting packages...

    Package (1)          Old Version  New Version   Net Change

    archlinux32-keyring  20171113-2   20180603-1.0    0.02 MiB

    …
    $ sudo rm -rf /etc/pacman.d/gnupg
    $ sudo pacman-key --init
    $ sudo pacman-key --populate
    $ sudo pacman-key --refresh-keys

So, we need an automated way for archlinux32-keyring to get to other
architectures.

That issue resolved for the moment, db-update is now complaining:

     ==> ERROR: Package testing/acl-2.2.53-1.1-i686.pkg.tar.xz does not have a valid packager

acl 2.2.53-1.1 and several other packages have `packager = Unknown
Packager`, which db-update won't allow.  I'v reported this in
#archlinux32, and am collecting more information on it to file a
detailed bug report with them.

-- 
Happy hacking,
~ Luke Shumaker



More information about the Dev mailing list